#include "FiveWin.ch"
static oWnd

//----------------------------------------------------------------------------//

*  Function Ŀ
*          Name: Main()                Docs: Jeff Heisler                   
*   Description:                                                            
*        Author: Jeff Heisler                                               
*  Date created: 06-21-94              Date updated: 09-25-94              
*  Time created: 08:17:51am            Time updated: 10:12:44am            
*     Copyright: J&A CC                                                     
* Ĵ
*     Arguments: None                                                       
*  Return Value: nil                                                        
*      See Also: Start of the App                                           
* 
function Main(cStart)
	local cParam1, cParam2
	local oIco, oBar
	local hBorland := LoadLibrary( "BWCC.dll" )

	if !empty(cStart)
		cParam1 := upper(substr(cStart,1,6))
		cParam2 := alltrim(upper(substr(cStart,8,6)))
	endif

	SET DELETED ON
	SET 3DLOOK ON                                 // CTL3D


	DEFINE WINDOW oWnd FROM 0, 0 TO 23, 78 ;
                TITLE "DFSC"

	DEFINE BUTTONBAR oBar 3D SIZE 38,38 OF oWnd      // start the button bar


	DEFINE BUTTON RESOURCE "" OF oBar GROUP;
		MESSAGE "Draw" ACTION draw()


	SET MESSAGE OF oWnd ;
		TO OemToAnsi( "DFSC MATRIX" )

	ACTIVATE WINDOW oWnd MAXIMIZED;
		ON PAINT draw()

	SET RESOURCES TO                              // Close DLL

	FreeLibrary( hBorland )                       // Release borland

return(nil)


Static Function Draw

  local hOldPen
  local hRedPen := CreatePen( PS_SOLID, 1, CLR_RED )
  local hDC := oWnd:GetDC()

  hOldPen = SelectObject( hDC, hRedPen )
  MoveTo( hDC, 100, 100 )
  LineTo( hDC, 30, 30 )
  SelectObject( hDC, hOldPen )
  DeleteObject( hRedPen )

return(nil)



