// Testing FiveWin folders from resources in DLLs

#include "FiveWin.ch"
#include "Folder.ch"

static oDlg, oChild1, oChild2

//----------------------------------------------------------------------------//

function Main()

   local oFld

   SET 3DLOOK ON
   SET RESOURCES TO "TestFld2.dll"

   DEFINE DIALOG oDlg RESOURCE "Test"

   REDEFINE FOLDER oFld ID 110 OF oDlg ;
      PROMPT "CA-Clipper", "and", "Windows", "Magic" ;
      ACTION ( oChild2:Hide(), oChild1:Show() ),;
             ( oChild1:Hide(), oChild2:Show() )

   ACTIVATE DIALOG oDlg CENTERED ;
      ON INIT ( BuildChilds( oFld ), oChild2:Hide() ) ;
      VALID   ( SysRefresh(), .t. )

      // VALID   ( oFld:Hide(), SetParent( oFld:hWnd, 0 ), .t. )

              // This is to avoid Undefined:HandleEvent() error.
              // We don't know right why this problem appears
              // We are still working on this to avoid it automatically

return nil

//----------------------------------------------------------------------------//

function BuildChilds( oFld )

   local oBtn
   local nValue := 1

   DEFINE DIALOG oChild1 RESOURCE "Sub1" OF oFld

   REDEFINE BUTTON ID 110 OF oChild1 ACTION MsgInfo( "One" )

   REDEFINE BUTTON ID 120 OF oChild1 ACTION MsgInfo( "Two" )

   ACTIVATE DIALOG oChild1 NOWAIT ;
      ON INIT ( oChild1:Move( 30, 5 ), oChild1:Hide() )

   // Second DialogBox

   DEFINE DIALOG oChild2 RESOURCE "Sub2" OF oFld

   REDEFINE RADIO nValue ID 101, 102, 103 OF oChild2

   ACTIVATE DIALOG oChild2 NOWAIT ;
      ON INIT ( oChild2:Move( 30, 5 ), oChild2:Hide() )

return nil

//----------------------------------------------------------------------------//
