#include <WinTen.h>
#include <Windows.h>
#include <ClipApi.h>

//----------------------------------------------------------------------------//

CLIPPER ISICONIC()
{
   _retl( IsIconic( _parni( 1 ) ) );
}

//----------------------------------------------------------------------------//

CLIPPER ISZOOMED()
{
   _retl( IsZoomed( _parni( 1 ) ) );
}

//----------------------------------------------------------------------------//

CLIPPER ISDEFBUTTO()  // N( hWnd ) --> lDefault
{
   _retl( GetWindowLong( _parni( 1 ), GWL_STYLE ) & BS_DEFPUSHBUTTON );
}

//----------------------------------------------------------------------------//

CLIPPER CLOSEWINDO()  // W( hWnd )
{
   CloseWindow( _parni( 1 ) );
}

//----------------------------------------------------------------------------//

CLIPPER GETWINDOWL() // ONG( hWnd, nType ) --> nValue
{
   _retnl( GetWindowLong( _parni( 1 ), _parni( 2 ) ) );
}

//----------------------------------------------------------------------------//

CLIPPER FINDWINDOW() // ( cClassName, cTitle ) --> hWnd
{
   _retni( FindWindow( IF( ISCHAR( 1 ), _parc( 1 ), 0 ),
                       IF( ISCHAR( 2 ), _parc( 2 ), 0 ) ) );
}

//----------------------------------------------------------------------------//

CLIPPER GETCLASSIN() // FO( hInst, cClassName )  --> aInfo or nil
{
   WNDCLASS wndCls;

   if( GetClassInfo( _parni( 1 ), _parc( 2 ), &wndCls ) )
   {
      _reta( 10 );
      _stornl( ( LONG ) wndCls.style,       -1,  1 );
      _stornl( ( LONG ) wndCls.lpfnWndProc, -1,  2 );
      _storni( wndCls.cbClsExtra,    -1,  3 );
      _storni( wndCls.cbWndExtra,    -1,  4 );
      _storni( wndCls.hInstance,     -1,  5 );
      _storni( wndCls.hIcon,         -1,  6 );
      _storni( wndCls.hCursor,       -1,  7 );
      _storni( wndCls.hbrBackground, -1,  8 );
      _storc( wndCls.lpszMenuName,   -1,  9 );
      _storc( wndCls.lpszClassName,  -1, 10 );
   }
   else
      _ret();
}

//----------------------------------------------------------------------------//
